Skip to main content
PATCH
/
v1
/
customers
/
{customer_id}
curl --request PATCH \
  --url https://sandbox.api.fin.com/v1/customers/{customer_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ownership_documents": [
    {
      "type": "PROOF_OF_SIGNATORY_AUTHORITY",
      "description": "Shareholder Registry",
      "files": [
        {
          "uri": "/AbAcQ4hn_0652746727639.pdf"
        }
      ]
    }
  ],
  "formation_documents": [
    {
      "type": "REGISTRATION_DOCUMENT",
      "description": "Certificate of Incorporation",
      "files": [
        {
          "uri": "/AbAcQ4hn_0652746727637.pdf"
        }
      ]
    }
  ],
  "supporting_documents": [
    {
      "type": "PROOF_OF_SOURCE_OF_FUNDS",
      "description": "Proof of source of funds doc",
      "files": [
        {
          "uri": "/PoAdef45_0652746727640.pdf"
        }
      ]
    }
  ],
  "associated_party_attachments": [
    {
      "associated_party_id": "f6b13e01-044a-4f74-a70b-d5f66b6449af",
      "identifying_documents": [
        {
          "type": "PASSPORT",
          "number": "A12345678",
          "country": "USA",
          "issue_date": "2020-01-15",
          "expiry_date": "2030-01-15",
          "files": [
            {
              "uri": "/AbAcQ4hn_0652746727637.pdf"
            }
          ]
        },
        {
          "type": "DRIVERS_LICENSE",
          "number": "DL987654321",
          "country": "USA",
          "issue_date": "2019-06-01",
          "expiry_date": "2029-06-01",
          "files": [
            {
              "side": "FRONT",
              "uri": "/AbAcQ4hn_0652746727645.pdf"
            },
            {
              "side": "BACK",
              "uri": "/AbAcQ4hn_0652746727646.pdf"
            }
          ]
        }
      ],
      "address_documents": [
        {
          "type": "BANK_STATEMENT",
          "files": [
            {
              "uri": "/AbAcQ4hn_0652746727638.pdf"
            }
          ]
        }
      ],
      "supporting_documents": []
    },
    {
      "associated_party_id": "f71dc19f-b9a0-49fb-bd2d-5add3c01626e",
      "identifying_documents": [
        {
          "type": "NATIONAL_ID",
          "number": "NID-987654",
          "country": "USA",
          "issue_date": "2021-03-10",
          "expiry_date": "2031-03-10",
          "files": [
            {
              "side": "FRONT",
              "uri": "/XyZ123mn_0652746727650.pdf"
            },
            {
              "side": "BACK",
              "uri": "/XyZ123mn_0652746727651.pdf"
            }
          ]
        }
      ],
      "address_documents": [
        {
          "type": "UTILITY_BILL",
          "files": [
            {
              "uri": "/XyZ123mn_0652746727652.pdf"
            }
          ]
        }
      ]
    }
  ]
}
'
{
  "data": {
    "customer_id": "ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.fin.com/llms.txt

Use this file to discover all available pages before exploring further.

Only submit the fields explicitly listed in the RFI. Sending unrequested fields will result in an error.
The request body accepts the same fields as the following endpoints:
  • Attach Documents to Individual Customer
  • Attach Documents to Business Customer
  • Attach Documents to Business Customer V2
  • Attach Document To Associated Party
  • Attach Document To Associated Party V2

Authorizations

Authorization
string
header
required

Bearer token authentication. Obtain token from Issue a Token endpoint

Path Parameters

customer_id
string<uuid>
required

Unique identifier of the customer to update

Body

application/json
proof_of_identity
object
proof_of_address
object

The proof of address document must not be older than three months.

Response

Customer updated successfully

data
object